
%Function ELIIPSE evaluates:
%    the coordinates of the end points of the constant
%     elements on ellipse arc
%
%  Record of revisions:
%      Date       Programmer         Description of change
%      ====       ==========         =====================
%   15/10/2009    J.T.Katsikadelis    Original code
% 
% ne             : No of boundary elements
% x0              : x coordinate  of the center 
% y0              : y coordinate  of the center
% phi1, phi2 : limit angles of the circular arc
% radious1   : lenght of semiaxis 1
% radious2   : lenght of semiaxis 2


function [xl,yl]=ellipse(ne,x0,y0,phi1,phi2,radious1,radious2)

df=phi2-phi1;
t1=df/ne;

t=phi1:t1:phi2;


r=1./sqrt((cos(t)/radious1).^2+(sin(t)/radious2).^2);

[x,y]=pol2cart(t,r);

xl=zeros(ne,1);
yl=zeros(ne,1);
for ii=1:ne
    xl(ii)=x(ii)+x0;
    yl(ii)=y(ii)+y0;

end