%Function CIRCLE evaluates:
%    the coordinates of the  end points of the constant
%     elements on circular arc
%
%  Record of revisions:
%      Date       Programmer         Description of change
%      ====       ==========         =====================
%   15/10/2009    J.T.Katsikadelis    Original code
%
%  ne               : No of boundary elements
%  x0               : x coordinate  of the center 
%  y0               : y coordinate  of the center
%  phi1, phi2  : limit angles of the circular arc
%  R                : radious

function [xl,yl,cur]=circle(x0,y0,phi1,phi2,R,ne)

phi=phi2-phi1;    % span of the arc
dphi=phi/ne;     
t=phi1:dphi:phi2;

r=R; 
[x,y]=pol2cart(t,r); 
xl=zeros(ne,1);
yl=zeros(ne,1);
for ii=1:ne
    xl(ii)=x(ii)+x0;
    yl(ii)=y(ii)+y0;
    % evaluate curvature 
    if phi > 0 
        cur(ii)=1/R;
    else
         cur(ii)=-1/R;
    end

end

    


